Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
management
/
settings
/
connections
/
payex
/
{payment_product_type}
/
{callback_reference}
aid_account_settings_connections_payex_callback_post
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/management/settings/connections/payex/{payment_product_type}/{callback_reference} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "payee_id": "803-518c-4fa0-9b0f-177e871f21dd",
  "payment_options": [
    {
      "currencies": [
        "NOK"
      ],
      "type": "payex.creditcard"
    }
  ]
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
payment_product_type
enum<string>
required
Available options:
payex.creditcard
callback_reference
string
required

Body

application/json
payee_id
string
required
Example:

"803-518c-4fa0-9b0f-177e871f21dd"

payment_options
object[]
required

Payment options to enable for this connection

token
string
Example:

"eb4835ac0b0835ad8f886c0b077a49bc28f200ac03ba543ebea8bba8a62e143d"

subsite
string

Perform split settlements on payments. The subsite must be resolved with PayEx reconciliation before being used.

Maximum string length: 40
Example:

"1234678"

Response

Signup

The response is of type object.

Last modified on May 12, 2026